post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to add a multi-factor authentication policy. To add a multi-factor authentication policy, user needs policy name, policy description, environment ID, client ID, authentication path, and Ping One username.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| policyName | Name of the multi-factor authentication policy | Yes | string |
| policyDescription | Description of the multi-factor authentication policy | Yes | string |
| environmentId | Unique identifier of the Ping One environment | Yes | string |
| clientId | Unique identifier of the Ping One client | Yes | string |
| authenticationPath | Authentication base URL for Ping One environment | Yes | string |
| usernameOption | Ping One username option used for authentication | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.MFA.addPolicy(
policyName="policy001",
policyDescription="desc",
environmentId="XXXX-XXXX-XXXX",
clientId="XXXX-XXXX",
authenticationPath="https://auth.pingone.asia",
usernameOption="loginid"
)
print(response)
client.close()Requires Python 3.9 or later.